public class Withdrawal extends Transaction {

	private int from;
	private Money amount;

	/**
	 * 
	 * @param atm
	 * @param session
	 * @param card
	 * @param pin
	 */
	public Withdrawal(ATM atm, Session session, Card card, int pin) {
		// TODO - implement Withdrawal.Withdrawal
		throw new UnsupportedOperationException();
	}

	public int getFrom() {
		return from;
	}

	public void setFrom(int from) {
		this.from = from;
	}

	public Money getAmount() {
		return amount;
	}

	public void setAmount(Money amount) {
		this.amount = amount;
	}

	public Message getSpecificsFromCustomer() {
		// TODO - implement Withdrawal.getSpecificsFromCustomer
		throw new UnsupportedOperationException();
	}

	public Receipt completeTransaction() {
		// TODO - implement Withdrawal.completeTransaction
		throw new UnsupportedOperationException();
	}

}
